/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : stm32f10x_MClib.h
* Author             : IMS Systems Lab 
* Date First Issued  : 21/11/07
* Description        : This file gathers the motor control header files which 
*                      are needed depending on configuration.
********************************************************************************
* History:
* 21/11/07 v1.0
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __STM32F10xMCLIB_H
#define __STM32F10xMCLIB_H

/* Includes ------------------------------------------------------------------*/

#include "stm32f10x_MCconf.h"
#include "MC_type.h"
#include "stm32f10x_lib.h"

#if (defined HALL_SENSORS || defined VIEW_HALL_FEEDBACK)
#include "stm32f10x_hall.h"
#endif

#if (defined NO_SPEED_SENSORS || defined OBSERVER_GAIN_TUNING)
#include "MC_State_Observer.h"
#include "MC_State_Observer_param.h"
#include "MC_State_Observer_interface.h"
#endif

#if (defined ENCODER || defined VIEW_ENCODER_FEEDBACK)
#include "stm32f10x_encoder.h"
#endif

#ifdef ICS_SENSORS
#include "stm32f10x_svpwm_ics.h"
#define GET_PHASE_CURRENTS SVPWM_IcsGetPhaseCurrentValues
#define CALC_SVPWM SVPWM_IcsCalcDutyCycles
#endif

#ifdef THREE_SHUNT
#include "stm32f10x_svpwm_3shunt.h"
#define GET_PHASE_CURRENTS SVPWM_3ShuntGetPhaseCurrentValues
#define CALC_SVPWM SVPWM_3ShuntCalcDutyCycles
#endif

#ifdef DAC_FUNCTIONALITY
#include "stm32f10x_MCdac.h"
#endif

#include "MC_Clarke_Park.h"
#include "MC_FOC_Drive.h"
#include "MC_PID_regulators.h"
#include "MC_Control_Param.h"
#include "stm32f10x_Timebase.h"
#include "MC_Display.h"
#include "MC_Keys.h"
#include "LCD.h"
#include "Timer.h"
#include "MC_PMSM_motor_param.h"
#include "MC_MotorControl_Layer.h"
#include "stm32f10x_type.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

#endif /* __STM32F10xMCLIB_H */
/******************* (C) COPYRIGHT 2007 STMicroelectronics *****END OF FILE****/
