/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : stm32f10x_hall.h
* Author             : IMS Systems Lab
* Date First Issued  : 21/11/07
* Description        : Contains the prototypes of exported functions for hall 
*                      sensor feedback processing.
********************************************************************************
* History:
* 21/11/07 v1.0
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __HALL_H
#define __HALL_H

/////////////////////// PWM Peripheral Input clock ////////////////////////////
#define CKTIM	((u32)72000000uL) 	/* Silicon running at 72MHz Resolution: 1Hz */

/* Includes ------------------------------------------------------------------*/
#include "MC_hall_prm.h" 

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void HALL_HallTimerInit(void);
s16  HALL_GetRotorFreq (void);
//s16  HALL_GetSpeed (void);
void HALL_InitHallMeasure(void);
bool HALL_IsTimedOut(void);
s16 HALL_GetElectricalAngle(void);
void HALL_IncElectricalAngle(void);
void HALL_Init_Electrical_Angle(void);
void HALL_ClrTimeOut(void);
void Motor_new_speed (u32); 


#endif /* __HALL_H */
/******************* (C) COPYRIGHT 2007 STMicroelectronics *****END OF FILE****/
